import request from '@/utils/request'

export function getList(query) {
  return request({
    url: '/project/sub/enterPersonList',
    method: 'get',
    params: query,
  })
}

/**
 * 获取工程下拉选
 * @param params
 */
export function getProOptions(params) {
  return request({
    url: '/system/select/getProOptions',
    method: 'post',
    data: params,
  })
}
/**
 * 获取承包商下拉选
 * @param params
 */
export function getConsOptions(params) {
  return request({
    url: '/system/select/getConsOptions',
    method: 'post',
    data: params,
  })
}
/**
 * 获取分包商下拉选
 * @param params
 */
export function getSubOptions(params) {
  return request({
    url: '/system/select/getSubOptions',
    method: 'post',
    data: params,
  })
}
/**
 *  批量审核接口
 */
export function batchAuditingApi(data) {
  return request({
    url: '/project/sub/submitPersonApprovalBach',
    method: 'post',
    data,
  })
}
